# spacepy.toolbox.update

`spacepy.toolbox.``update`(all=True, QDomni=False, omni=False, omni2=False, leapsecs=False, PSDdata=False, cached=True)

  Download and update local database for omni, leapsecs etc

  Web access is via `get_url()`; notes there may be helpful in debugging errors. See also the `keepalive` configuration option.

  Parameters
    all boolean (optional)

      if True, update OMNI2, Qin-Denton and leapsecs

    omni boolean (optional)

      if True. update only omni (Qin-Denton)

    omni2 boolean (optional)

      if True, update only original OMNI2

    QDomni boolean (optional)

      if True, update OMNI2 and Qin-Denton

    leapsecs boolean (optional)

      if True, update only leapseconds

    cached boolean (optional)

      Only update files if timestamp on server is newer than timestamp on local file (default). Set False to always download files.

  Returns
    out string

      data directory where things are saved

  See also

  `get_url`

  Examples

      >>> import spacepy.toolbox as tb
      >>> tb.update(omni=True)